package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyTurnOverPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyTurnOverRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyTurnOverSaveReqVO;

/**
 * 翻身登记 Service
 */
public interface ElderlyTurnOverService {

    Long create(ElderlyTurnOverSaveReqVO createReqVO);

    void update(ElderlyTurnOverSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyTurnOverRespVO get(Long id);

    PageResult<ElderlyTurnOverRespVO> getPage(ElderlyTurnOverPageReqVO pageReqVO);
}

